Name:		gnome-theme-curvylooks
Version:	0.3
Release:	1%{?dist}
Summary:	A modern Clearlooks theme using a Bluecurve-like color scheme 

Group:		User Interface/Desktops
License:	GPL+
URL:		http://projects.thecodergeek.com/curvylooks/

Source0:	http://projects.thecodergeek.com/curvylooks/downloads/curvylooks-%{version}.gtp

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch

## Requires 2.12 or later due to use of newer Clearlooks features such as the
## so-called "Gummy" style.
Requires:	gtk2-engines >= 2.12
## Metacity pulls in many deps and is already installed on GNOME-based systems,
## since it is marked as "mandatory" in comps. However, the Tango icon set
## has minimal dependencies and, in the opinion of the author, adds a great
## deal of usability to the theme. Both are optional, so the Metacity one is
## not hard-coded.
Requires:	tango-icon-theme


%description
CurvyLooks, inspired by and based heavily on the work of Billy Cantrell's
Clearlooks_Cairo-Curve theme, is a simple theme for GTK+ which uses modern
features of the Clearlooks engine and a Bluecurve-like color scheme to provide
a rich and aesthetically-pleasing desktop experience, especially after
prolonged periods of usage.


%prep
%setup -q -c


%build
## Nothing to build. It's a data-only package...


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}/%{_datadir}/themes


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc ChangeLog COPYING README TODO
%{_datadir}/themes/CurvyLooks/


%changelog
* Mon Mar 10 2008 Peter Gordon <peter@thecodergeek.com> - 0.3-1
- Update to new upstream release (0.3), which adds better GNOME Theme
  integration (Metacity and Tango icon theme defaults).
- Update website and Source0 URLs.
- Other minor, aesthetic-only spec file fixes.

* Mon Nov 05 2007 Peter Gordon <peter@thecodergeek.com> - 0.2-1
- Update to new upstream release (0.2), which fixes tooltips' shading.

* Mon Oct 29 2007 Peter Gordon <peter@thecodergeek.com> - 0.1-1
- Initial Fedora packaging.
